import { DirectiveSchema, JSExpression } from '../types';
import { Node } from './Node';
export declare class Directive {
    owner: Node;
    arg?: string;
    modifiers?: string[];
    value?: JSExpression;
    extend?: Record<string, any>;
    constructor(owner: Node, scheam: DirectiveSchema);
    update(scheam: DirectiveSchema): void;
    getSchema(): {
        arg: string | undefined;
        modifiers: string[] | undefined;
        value: JSExpression | undefined;
        extend: Record<string, any> | undefined;
    };
}
